Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.loaders 5.9.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openide.awt
Class Toolbar.DnDEvent

    java.lang.Object
      java.util.EventObject
          org.openide.awt.Toolbar.DnDEvent

All Implemented Interfaces:
  Serializable

Enclosing class:
  Toolbar

    public static class Toolbar.DnDEvent

extends EventObject

DnDEvent is Toolbar's drag and drop event.

See Also:
  Serialized Form

Field Summary
`static int` | `DND_END` Type of DnDEvent.
`static int` | `DND_LINE` Type of DnDEvent.
`static int` | `DND_ONE` Type of DnDEvent.

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`Toolbar.DnDEvent(Toolbar toolbar, String name, int dx, int dy, int type)`

Method Summary
`int` | `getDX()`
`int` | `getDY()`
`String` | `getName()`
`int` | `getType()`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DND_ONE

    public static final int DND_ONE

  Type of DnDEvent. Dragging with only one Toolbar.

  See Also:
    Constant Field Values

### DND_END

    public static final int DND_END

  Type of DnDEvent. Only horizontal dragging with Toolbar and it's followers.

  See Also:
    Constant Field Values

### DND_LINE

    public static final int DND_LINE

  Type of DnDEvent. Only vertical dragging with whole lines.

  See Also:
    Constant Field Values

Constructor Detail

### Toolbar.DnDEvent

    public Toolbar.DnDEvent(Toolbar toolbar,
                            String name,
                            int dx,
                            int dy,
                            int type)

Method Detail

### getName

    public String getName()

  Returns:
    name of toolbar where event occured.

### getDX

    public int getDX()

  Returns:
    distance of horizontal dragging

### getDY

    public int getDY()

  Returns:
    distance of vertical dragging

### getType

    public int getType()

  Returns:
    type of event.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.loaders 5.9.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.